<!doctype html>
<html lang="en">

<head>
    <%- include('../partials/head-dashboard.ejs', {title: title}); %>
</head>

<body>
    <%- include('../partials/header.ejs'); %>

        <div class="container-fluid">
            <div class="row">
                <%- include('../partials/sidebar.ejs', {title: title}); %>

                    <main class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
                        <%- include('../partials/main-title.ejs', {title: title}); %>

                            <div class="table-responsive">
                                <table class="table table-striped table-sm">
                                    <thead>
                                        <tr>
                                            <th scope="col">#</th>
                                            <th scope="col">ID</th>
                                            <th scope="col">Username</th>
                                            <th scope="col">Email</th>
                                            <th scope="col">Created At</th>
                                            <th scope="col">Updated At</th>
                                            <th scope="col"></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <% let i=0;%>
                                            <% userGames.forEach(userGame=> {%>
                                                <tr>
                                                    <td>
                                                        <%= ++i %>
                                                    </td>
                                                    <td>
                                                        <%= userGame.id %>
                                                    </td>
                                                    <td>
                                                        <%= userGame.username %>
                                                    </td>
                                                    <td>
                                                        <%= userGame.email %>
                                                    </td>
                                                    <td>
                                                        <%= userGame.createdAt %>
                                                    </td>
                                                    <td>
                                                        <%= userGame.updatedAt %>
                                                    </td>
                                                    <td>
                                                        <a class="btn btn-primary"
                                                            href="/dashboard/users/<%= userGame.id %>"
                                                            role="button"><span data-feather="user"></span></a>
                                                        <a class="btn btn-warning"
                                                            href="/dashboard/users/update/<%= userGame.id %>"
                                                            role="button"><span data-feather="edit"></span></a>
                                                        <a class="btn btn-danger"
                                                            onclick="deleteUser('<%= userGame.id %>', '<%= userGame.username %>')"
                                                            role="button"><span data-feather="trash-2"></span></a>
                                                    </td>
                                                </tr>
                                                <% });%>
                                    </tbody>
                                </table>
                            </div>
                    </main>
            </div>
        </div>

        <%- include('../partials/bootstrap-js.ejs'); %>
            <%- include('../partials/dashboard-js.ejs'); %>
                <script src="/javascripts/deleteUser.js"></script>
</body>

</html>